html {
	scroll-behavior: smooth;
}

body {
	max-width: none;
}

.inside {
	max-width: 800px;
	padding: 0 1rem;
	margin: 0 auto;
}

.no-js .menubutton {
	display: none;
}

.js .menubutton {
	display: flex;
	align-items: center;
	
	cursor: pointer;
	background: inherit;
	color: white;
	font: inherit;
	text-align: center;
	
	padding: 0.5rem 1rem;
	border: 0;
	margin: 0;
}

.js .menubutton::before {
	content: url(../images/menuburger.svg);
	width: 1rem;
	height: 1rem;
	margin-right: 0.25rem;
}

.js .showmenu.menubutton::before {
	content: url(../images/menuclose.svg);
}

.site-nav {
	background-color: #333;
	color: white;
	letter-spacing: 1px;
	box-shadow: 0 2px 6px rgb(51,51,51,0.3);
	margin-bottom: 2rem;
	text-transform: uppercase;
}

.site-nav .inside {
	padding: 0;
}

.js .site-nav ul {
	max-height: 0;
	overflow: hidden;
	padding: 0;
}

.js .showmenu + ul {
	max-height: 100rem;
	transition: max-height 0.5s ease;
	overflow: auto;
}

.site-nav ul {
	display: flex;
	flex-flow: column;
	list-style: none;
	padding: 0;
	margin: 0;
}

.site-nav li {
	
	text-align: center;
	flex: 1;
}

.site-nav a {
	display: block;
	background: #333;
	color: white;
	text-decoration: none;
	padding: 0.5rem 1rem;
}

.site-nav a:hover,
.site-nav a:focus,
.button:hover,
.button:focus {
	background: #ddd;
	color: #333;
}

.site-nav a:active,
.button:active {
	background: #aaa;
	color: #333;
}

header h1,
header p {
	text-align: center;
}

header h1 {
	margin-bottom: 0;
}

header p {
	margin-top: 0;
}

main h2 {
	text-align: center;
	padding-top: 6rem;
}

.button {
	display: inline-block;
	text-align: center;
	letter-spacing: 1px;
	width: 100%;
	padding-top: 1rem;
	padding-bottom: 1rem;
	background: #333;
	color: white;
	text-transform: uppercase;
	text-decoration: none !important;
}

button {
	display: block;
	margin-left: auto;
	margin-right: auto;
	letter-spacing: 1px;
	padding: 1rem;
	background: #333;
	color: white;
	text-transform: uppercase;
	font-size: inherit;
	cursor: pointer;
}

table {
	width: 100%;
}

thead {
	background-color: lightgrey;
}

tbody {
	background-color: whitesmoke;
}

tfoot {
	font-size: smaller;
}

th, td {
	padding: 0.5rem 1rem;
	text-align: center;
}

form {
	width: 100%;
	background-color: whitesmoke;
	padding-top: 1rem;
	padding-bottom: 1rem;
	margin-bottom: 10rem;
}

form div {
	margin-bottom: 1rem;
	text-align: center;
}

label {
	cursor: pointer;
}

label[for] {
	display: block;
}

input,
textarea {
	width: 80%;
}

input {
	height: 32px;
	font-size: 1.25em;
}

.avoid-robots {
	width: unset;
	height: 16px;
}

/* Einfaches Modal-Design */
    .modal {
      display: none; 
      position: fixed;
      top: 0; left: 0;
      width: 100%; height: 100%;
      background: rgba(0, 0, 0, 0.5);
      justify-content: center;
      align-items: center;
    }
    .modal-content {
      background: white;
      padding: 2em;
      border-radius: 10px;
      text-align: center;
    }

footer {
	background-color: #333;
	color: white;
	text-align: right;
	padding: 0.5rem;
}

.chalet-picture {
	max-width: 100%;
}

footer p {
	margin: auto;
	color: white;
	text-align: center;
}

@media screen and (min-width: 800px) {
	.menubutton { display: none !important; }
	.site-nav { 
		position: sticky; 
		top: 0;
		z-index: 10;
	}
	.site-nav .inside { padding: 0 1rem; }
	.site-nav ul {
		max-height: none !important;
		flex-flow: row;
		padding: 0;
		line-height: 3.5;
	}
	.site-nav li {
		flex: 1;
		max-width: 10rem;
		text-align: center;
	}
} /* end @media */
